import { ChangeSet } from "@codemirror/state";
import type { ReplayData } from "@liqvid/utils/replay-data";
interface CMPosition {
    line: number;
    ch: number;
}
interface CMSelection {
    anchor: CMPosition;
    head: CMPosition;
}
interface Change {
    from: CMPosition;
    to: CMPosition;
    text: string[];
    removed: string[];
}
export declare type OldFormat = ReplayData<[
    "command",
    string
] | [
    "cursor",
    CMPosition
] | [
    "selection",
    CMSelection
] | [
    "text",
    Change
]>;
export declare type Action = string | [changes: ChangeSet, selection?: [number, number]];
export declare type NewFormat = ReplayData<Action>;
/** Convert CM5 recording data to CM6 */
export declare function convert(oldFormat: OldFormat): ((string | number)[] | (number | any[])[])[];
export {};
